C$ Disclaimer
C
C     THIS SOFTWARE AND ANY RELATED MATERIALS WERE CREATED BY THE
C     CALIFORNIA INSTITUTE OF TECHNOLOGY (CALTECH) UNDER A U.S.
C     GOVERNMENT CONTRACT WITH THE NATIONAL AERONAUTICS AND SPACE
C     ADMINISTRATION (NASA). THE SOFTWARE IS TECHNOLOGY AND SOFTWARE
C     PUBLICLY AVAILABLE UNDER U.S. EXPORT LAWS AND IS PROVIDED "AS-IS"
C     TO THE RECIPIENT WITHOUT WARRANTY OF ANY KIND, INCLUDING ANY
C     WARRANTIES OF PERFORMANCE OR MERCHANTABILITY OR FITNESS FOR A
C     PARTICULAR USE OR PURPOSE (AS SET FORTH IN UNITED STATES UCC
C     SECTIONS 2312-2313) OR FOR ANY PURPOSE WHATSOEVER, FOR THE
C     SOFTWARE AND RELATED MATERIALS, HOWEVER USED.
C
C     IN NO EVENT SHALL CALTECH, ITS JET PROPULSION LABORATORY, OR NASA
C     BE LIABLE FOR ANY DAMAGES AND/OR COSTS, INCLUDING, BUT NOT
C     LIMITED TO, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND,
C     INCLUDING ECONOMIC DAMAGE OR INJURY TO PROPERTY AND LOST PROFITS,
C     REGARDLESS OF WHETHER CALTECH, JPL, OR NASA BE ADVISED, HAVE
C     REASON TO KNOW, OR, IN FACT, SHALL KNOW OF THE POSSIBILITY.
C
C     RECIPIENT BEARS ALL RISK RELATING TO QUALITY AND PERFORMANCE OF
C     THE SOFTWARE AND ANY RELATED MATERIALS, AND AGREES TO INDEMNIFY
C     CALTECH AND NASA FOR ALL THIRD-PARTY CLAIMS RESULTING FROM THE
C     ACTIONS OF RECIPIENT IN THE USE OF THE SOFTWARE.
C
 
 
 
C-    Version 1.1.0  09-JAN-1997 (WLT)
C
C       Replaced call to DPFMT_1 with call to DPFMT.
C   
C
C
C
      SUBROUTINE FMTDP ( DPVAL, FORMAT, STRING )
      IMPLICIT NONE
 
 
      DOUBLE PRECISION      DPVAL
      CHARACTER*(*)         FORMAT
      CHARACTER*(*)         STRING
 
 
      LOGICAL               RETURN
 
      CHARACTER*(132)       TMPSTR
 
      INTEGER               RTRIM
      INTEGER               OUTLEN
      INTEGER               I
 
C
C     Standard SPICE error handling.
C
      IF ( RETURN () ) THEN
         RETURN
      ELSE
         CALL CHKIN ( 'FMTDP' )
      END IF
 
      CALL DPFMT ( DPVAL,  FORMAT, TMPSTR )
      CALL LJUST ( TMPSTR, TMPSTR         )
 
      OUTLEN = LEN( STRING )
 
      IF ( RTRIM( TMPSTR ) .GT. OUTLEN ) THEN
         DO I = 1, OUTLEN
            STRING(I:I) = '*'
         END DO
      ELSE
         STRING = TMPSTR
      END IF
 
 
      CALL CHKOUT ( 'FMTDP' )
      RETURN
      END
 
 
 
 
